package com.kingdee.eas.custom.attendanceexception.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.attendanceexception.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class AttendanceExceptionFacade extends AbstractBizCtrl implements IAttendanceExceptionFacade
{
    public AttendanceExceptionFacade()
    {
        super();
        registerInterface(IAttendanceExceptionFacade.class, this);
    }
    public AttendanceExceptionFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IAttendanceExceptionFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("438735B7");
    }
    private AttendanceExceptionFacadeController getController() throws BOSException
    {
        return (AttendanceExceptionFacadeController)getBizController();
    }
    /**
     *员工个人异常提醒-User defined method
     */
    public void notifyEmployeeException() throws BOSException, EASBizException
    {
        try {
            getController().notifyEmployeeException(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *提醒员工累计异常-User defined method
     *@param exceptionLimit 异常次数上限
     */
    public void notifyEmployeeCumulativeException(String exceptionLimit) throws BOSException, EASBizException
    {
        try {
            getController().notifyEmployeeCumulativeException(getContext(), exceptionLimit);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *提醒中心负责人累计异常-User defined method
     */
    public void alertLeaderExceptionTotal() throws BOSException, EASBizException
    {
        try {
            getController().alertLeaderExceptionTotal(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}